Subject: Re: Difference between skb_put() and skb_push()

From: Akshay Kawale <[email-masked]>
Date: Sat, 2 Apr 2005 13:44:07 -0500

Hi,

I am trying to access the tot_len field in the IP Header using a
sk_buff structure inside a Netfilter hook.

I do something like:

(**skb).nh.iph->tot_len += 64

I have tried other variants of the same statement but none of them work.
I want to increment the length by 64 bytes, but it gives me an error
saying that I am trying to access an 'incomplete data type'.

Can anyone shed some light on this problem?
tot_len if of type __u16 (unsigned short int).

Thanks.

- Akshay